%define version_of_biogenesis 0.9
%define version_of_color_mod 1.85
%define version_of_backup_button 1

Name: biogenesis
Summary: Artificial life program that simulates evolution of organisms
Version: %{version_of_biogenesis}.%{version_of_color_mod}.%{version_of_backup_button}
Release: %mkrel 2
Group: Sciences/Biology
License: GPLv2+
URL: http://biogenesis.sourceforge.net
# download from "https://sourceforge.net/projects/biogenesis/files/Color Mod" and repack
Source0: %{name}_src_%{version}.zip
Source1: https://sourceforge.net/projects/biogenesis/files/user%20manuals/biogenesis_manual_0_9.zip
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: unzip
BuildRequires: jts >= 1.15.0
BuildArch: noarch
Requires: java
Requires: jts >= 1.15.0

%description
Biogenesis simulates in a visual fashion the processes involved in the
evolution of unicellular organisms at nature. It tries to be a didactic
approximation to the ideas of mutation or evolution and can be enjoyed
also as an entertainment. It's intended to serve as a support to show
students some basic biological facts.
It shows colored segment based organisms that mutate and evolve in a 2D
environment. Biogenesis is based on Primordial Life.

%prep
%setup -q -n %{name}_src_%{version}
# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' ColorMod*/*.txt
# add manual
unzip %{SOURCE1}
rm -f %{name}_manual/copyright
rm -f %{name}_manual/gpl.txt

%build
export CLASSPATH=%{_javadir}/jts/jts-core.jar
export ANT_OPTS=-Dfile.encoding=UTF8
pushd src
%ant
popd

%install
pushd src
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -a %{name}.jar %{buildroot}%{_javadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}
install -m 755 launch_%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/
popd

%files
%doc src/changelog* %{name}_manual ColorMod*/*.txt ColorMod*/copyright
%{_bindir}/%{name}
%{_javadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.9.1.85.1-2.mga8
+ Revision: 1523987
- Mageia 8 Mass Rebuild

* Wed Mar 20 2019 alexl <alexl> 0.9.1.85.1-1.mga7
+ Revision: 1379048
- more docs
- version 0.9.1.85.1

* Tue Feb 26 2019 alexl <alexl> 0.9.1.83.1-1.mga7
+ Revision: 1370197
- version 0.9.1.83.1

* Thu Feb 07 2019 alexl <alexl> 0.9.1.82.1-3.mga7
+ Revision: 1363723
- rebuild: source was updated by upstream

* Tue Feb 05 2019 alexl <alexl> 0.9.1.82.1-2.mga7
+ Revision: 1363290
- better i18n patch

* Tue Feb 05 2019 alexl <alexl> 0.9.1.82.1-1.mga7
+ Revision: 1363261
- version 0.9.1.82.1
- update translations from tx

* Tue Sep 18 2018 umeabot <umeabot> 0.8.1.42.1-4.mga7
+ Revision: 1261454
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.8.1.42.1-3.mga7
+ Revision: 1260211
- Mageia 7 Mass Rebuild

* Fri Feb 26 2016 umeabot <umeabot> 0.8.1.42.1-2.mga6
+ Revision: 979609
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 alexl <alexl> 0.8.1.42.1-1.mga6
+ Revision: 846245
- version 0.8.1.42.1

* Tue Jan 06 2015 alexl <alexl> 0.8.1.32.1-10.mga5
+ Revision: 808746
- change GenericName and new translations for desktop file

* Wed Oct 15 2014 alexl <alexl> 0.8.1.32.1-9.mga5
+ Revision: 751891
- updated i18n-dialogs.patch
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1.32.1-7.mga5
+ Revision: 678156
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 alexl <alexl> 0.8.1.32.1-6.mga5
+ Revision: 656555
- fixed upstream issue: dialogs were not translated (i18n-dialogs.patch)

* Thu Jul 24 2014 alexl <alexl> 0.8.1.32.1-5.mga5
+ Revision: 656392
- fixed upstream issue: added missing spaces in "Genetic Laboratory" between labels
- fixed upstream issue: showing "Genetic Laboratory" on non-wide monitor

* Fri Jul 04 2014 alexl <alexl> 0.8.1.32.1-4.mga5
+ Revision: 643278
- short comment for desktop file
- updated all-langs-manual.patch for correct work with installed and not installed manual

* Thu Jul 03 2014 alexl <alexl> 0.8.1.32.1-3.mga5
+ Revision: 642981
- fixed wrong-file-end-of-line-encoding for biogenesis_manual/style.css

* Thu Jul 03 2014 alexl <alexl> 0.8.1.32.1-2.mga5
+ Revision: 642929
- new summary
- included manual in package
- updated all-langs-manual.patch for using installed manual with priority

* Tue Jul 01 2014 alexl <alexl> 0.8.1.32.1-1.mga5
+ Revision: 641947
- added converting into UTF-8
- built with "Color Mod" and "Backup Button"
- updated and fixed add-russian.patch
- updated all-langs-manual.patch
- updated build.xml
- added new strings in messages_ru.properties
- fixed several known issues

* Tue Jul 01 2014 alexl <alexl> 0.8-1.mga5
+ Revision: 641755
- imported package biogenesis

